Name:		fotoxx
Version:	5.4.1
Release:	%mkrel 1
License:	GPLv2+
Summary:	Fotoxx can improve image files made with a digital camera
Group:		Graphics
URL:		http://kornelix.squarespace.com/storage/fotoxx/%name-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Source0:	%name-%version.tar.gz
#preliminary patch, not finished
Patch0:		fotoxx-5.4.1-overlinking-fix.patch
Patch1:		fotoxx-4.5-makefile-prefix.patch
BuildRequires:	gtk2-devel devel(libexiv2) gcc-c++
Requires:	gtk+2.0 exiv2
#TODO: package printoxx
Suggests:	printoxx
Obsoletes:	fotox
Provides:	fotox

%description
Fotox is a free open-source Linux program for improving image files made with
a digital camera. The following functions are provided:

Show thumbnails of image files in a directory, navigate, choose files to view
or edit. Adjust overexposed or underexposed areas to improve visibility of
detail (change brightness independently for different brightness levels).
Reduce fog or haze by removing "whiteness" and intensifying colors.
High dynamic range (HDR) photography: combine an underexposed and 
overexposed image to improve details visible in both bright and dark areas.
Automatic image alignment.
Photo stitching or panorama: stitch two or more images together to make an
ultra-wide image. Simple image alignment and brightness / color matching.
Crop an image (choose the area of interest and cut-off the margins).
Rotate an image by any angle (level a tilted image, or turn in 90 degree
steps). Resize an image, with convenience buttons for 2/3, 1/2, 1/3 and
1/4 size. Red-eye removal.

The program exiv2 is used to read the EXIF data that is commonly imbedded in
images from digital cameras (exposure data, date ...). If you want access to
this data, you need to install the exiv2 package. Otherwise the fotox EXIF
function will simply not work.

%prep
%setup -q -n %name
#disabled to let it build, enable to see undefined refernces when building
#%patch0
#first undefined references:
#$ for f in /usr/lib/*.so.*; do objdump -t -T $f | grep gdk_pixbuf_get_width | grep -v '*UND*' && echo $f; done
#00003c00 g    DF .text  00000071  Base        gdk_pixbuf_get_width
#/usr/lib/libgdk_pixbuf-2.0.so.0
#00003c00 g    DF .text  00000071  Base        gdk_pixbuf_get_width
#/usr/lib/libgdk_pixbuf-2.0.so.0.1400.3


#second undefined reference:
#$ for f in /usr/lib/*.so.*; do objdump -t -T $f | grep g_object_unref | grep -v '*UND*' && echo $f; done
#0000b3c0 g    DF .text  00000178  Base        g_object_unref
#/usr/lib/libgobject-2.0.so.0
#0000b3c0 g    DF .text  00000178  Base        g_object_unref
#/usr/lib/libgobject-2.0.so.0.1800.1

%patch1

%build
%make

%install
rm -rf %{buildroot}
#setting and exporting prefix is not enough
#PREFIX=%_prefix
#export PREFIX
%makeinstall_std

mkdir -p %{buildroot}/%{_iconsdir}
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=fotoxx
Exec=fotoxx
Icon=fotoxx
Terminal=false
Type=Application
Categories=Graphics;2DGraphics;RasterGraphics;GTK;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_datadir}/doc/%{name}/*
%{_iconsdir}/%{name}.png

%changelog
* Sun Oct 12 2008 Doktor5000 <rpm@mandrivauser.de> 5.4.1-1mud2009.0
- new version 5.4.1
- rebuild for Mandrivalinux 2009.0

* Thu Jun 04 2008 Doktor5000 <rpm@mandrivauser.de> 4.5-1mud2008.1
- new name fotoxx
- new version 4.5
- fixed path for documentation
- make package easily backportable

* Thu May 22 2008 Doktor5000 <rpmqmandrivauser.de> 43-1mud2008.0
- backported to Mandrivalinux 2008.0

* Wed May 21 2008 Doktor5000 <rpmqmandrivauser.de> 43-1mud2008.1
- updated to 43
- really update to new version
- fixed %%BuildRequires

* Sun May 18 2008 Doktor5000 <rpmqmandrivauser.de> 42-1mud2008.1
- rebuild for Mandrivalinux 2008.1
- updated to 42

* Sat Jan 19 2008 Doktor5000 <rpmqmandrivauser.de> 34-1mud2008.0
- rebuild for Mandrivalinux 2008.0

* Thu Jan 17 2008 maik3531 <maik3531@web.de> 3.7.beta
- build for PCLinuxOS
